﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.Services;

public partial class _Default : System.Web.UI.Page
{
    [WebMethod]
    public static List<string> SearchCustomers(string prefixText, int count)
    {
        string constring = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constring))
        {
            string query = "SELECT CustomerId, ContactName FROM Customers WHERE ContactName LIKE @SearchText + '%'";
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                cmd.Parameters.AddWithValue("@SearchText", prefixText);
                cmd.Connection = con;
                con.Open();
                List<string> customers = new List<string>();
                using (SqlDataReader sdr = cmd.ExecuteReader())
                {
                    while (sdr.Read())
                    {
                        string item = AjaxControlToolkit.AutoCompleteExtender.CreateAutoCompleteItem(sdr["ContactName"].ToString(), sdr["CustomerId"].ToString());
                        customers.Add(item);
                    }
                }
                con.Close();
                return customers;
            }
        }
    }

    protected void OnSubmit(object sender, EventArgs e)
    {
        string customerId = Request.Form[hfCustomerId.UniqueID];
        string customerName = Request.Form[txtCustomerSearch.UniqueID];
        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Name: " + customerName + "\\nID: " + customerId + "');", true);
    }
}

