﻿Imports System.Data.SqlClient
Imports System.Collections.Generic
Imports System.Web.Services

Partial Class VB
    Inherits System.Web.UI.Page
    <WebMethod>
    Public Shared Function SearchCustomers(ByVal prefixText As String, ByVal count As Integer) As List(Of String)
        Dim constring As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(constring)
            Dim query As String = "SELECT CustomerId, ContactName FROM Customers WHERE ContactName LIKE @SearchText + '%'"
            Using cmd As SqlCommand = New SqlCommand(query, con)
                cmd.Parameters.AddWithValue("@SearchText", prefixText)
                cmd.Connection = con
                con.Open()
                Dim customers As List(Of String) = New List(Of String)()
                Using sdr As SqlDataReader = cmd.ExecuteReader()
                    While sdr.Read()
                        Dim item As String = AjaxControlToolkit.AutoCompleteExtender.CreateAutoCompleteItem(sdr("ContactName").ToString(), sdr("CustomerId").ToString())
                        customers.Add(item)
                    End While
                End Using
                con.Close()
                Return customers
            End Using
        End Using
    End Function

    Protected Sub OnSubmit(ByVal sender As Object, ByVal e As EventArgs)
        Dim customerId As String = Request.Form(hfCustomerId.UniqueID)
        Dim customerName As String = Request.Form(txtCustomerSearch.UniqueID)
        ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Name: " & customerName & "\nID: " & customerId & "');", True)
    End Sub
End Class
